Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 926085 - net-misc/networkmanager-1.46.0 - ../.../agent.c: error: assignment to int ( )(void) from incompatible pointer type int ( )(const char , int) [-Wincomp
Summary: net-misc/networkmanager-1.46.0 - ../.../agent.c: error: assignment to int ( )...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: c99-porting
  Show dependency tree
 
Reported: 2024-03-03 08:47 UTC by Toralf Förster
Modified: 2024-07-17 12:12 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,18.35 KB, text/plain)
2024-03-03 08:47 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,46.01 KB, text/plain)
2024-03-03 08:47 UTC, Toralf Förster
Details
environment (environment,184.44 KB, text/plain)
2024-03-03 08:47 UTC, Toralf Förster
Details
etc.clang.tar.xz (etc.clang.tar.xz,1.13 KB, application/x-xz)
2024-03-03 08:47 UTC, Toralf Förster
Details
etc.portage.tar.xz (etc.portage.tar.xz,19.41 KB, application/x-xz)
2024-03-03 08:47 UTC, Toralf Förster
Details
net-misc:networkmanager-1.46.0:20240302-224601.log.xz (net-misc:networkmanager-1.46.0:20240302-224601.log.xz,21.16 KB, application/x-xz)
2024-03-03 08:47 UTC, Toralf Förster
Details
qlist-info.txt (qlist-info.txt,92.60 KB, text/plain)
2024-03-03 08:47 UTC, Toralf Förster
Details
temp.tar.xz (temp.tar.xz,61.44 KB, application/x-xz)
2024-03-03 08:47 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2024-03-03 08:47:05 UTC
too long lines were shrinked:

[522/914] x86_64-pc-linux-gnu-gcc -Isrc/libnmt-newt/libnmt-newt.a.p -Isrc/libnmt-newt -I../NetworkManager-1.46.0/src/libnmt-newt -Isrc/libnm-core-public -I../NetworkManager-1.46.0/src/libnm-core-public -Isrc -I../NetworkManager-1.46.0/src -I. -I../NetworkManager-1.46.0 -Isrc/libnm-client-public -I..
[523/914] x86_64-pc-linux-gnu-gcc -Isrc/libnmt-newt/libnmt-newt.a.p -Isrc/libnmt-newt -I../NetworkManager-1.46.0/src/libnmt-newt -Isrc/libnm-core-public -I../NetworkManager-1.46.0/src/libnm-core-public -Isrc -I../NetworkManager-1.46.0/src -I. -I../NetworkManager-1.46.0 -Isrc/libnm-client-public -I..
[524/914] x86_64-pc-linux-gnu-gcc -Isrc/nmcli/nmcli.p -Isrc/nmcli -I../NetworkManager-1.46.0/src/nmcli -Isrc/libnm-core-public -I../NetworkManager-1.46.0/src/libnm-core-public -Isrc -I../NetworkManager-1.46.0/src -I. -I../NetworkManager-1.46.0 -Isrc/libnm-client-public -I../NetworkManager-1.46.0/src
FAILED: src/nmcli/nmcli.p/agent.c.o 
x86_64-pc-linux-gnu-gcc -Isrc/nmcli/nmcli.p -Isrc/nmcli -I../NetworkManager-1.46.0/src/nmcli -Isrc/libnm-core-public -I../NetworkManager-1.46.0/src/libnm-core-public -Isrc -I../NetworkManager-1.46.0/src -I. -I../NetworkManager-1.46.0 -Isrc/libnm-client-public -I../NetworkManager-1.46.0/src/libnm-cli
../NetworkManager-1.46.0/src/nmcli/agent.c: In function get_secrets_from_user:
../NetworkManager-1.46.0/src/nmcli/agent.c:88:29: error: assignment to int (*)(void) from incompatible pointer type int (*)(const char *, int) [-Wincompatible-pointer-types]
   88 |             rl_startup_hook = set_deftext;
      |                             ^

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 23.0_split_usr_desktop_plasma-20240301-175756

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-14 *
clang/llvm (if any):
clang version 17.0.6
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/17/bin
Configuration file: /etc/clang/x86_64-pc-linux-gnu-clang.cfg
/usr/lib/llvm/17
17.0.6
Python 3.11.8
Available Ruby profiles:
  [1]   ruby31 (with Rubygems)
  [2]   ruby33 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.75.0 *
The following VMs are available for generation-2:
*)	Eclipse Temurin JDK 21.0.1_p12 [openjdk-bin-21]
Available Java Virtual Machines:
  [1]   openjdk-bin-21  system-vm

The Glorious Glasgow Haskell Compilation System, version 9.2.8
php cli (if any):
go version go1.22.0 linux/amd64

  HEAD of ::gentoo
commit d106d27dc9c6197bb20bfb17669cf5c4ad0ad134
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Sat Mar 2 21:34:06 2024 +0000

    2024-03-02 21:34:05 UTC

emerge -qpvO net-misc/networkmanager
[ebuild  N    ] net-misc/networkmanager-1.46.0  USE="bluetooth concheck elogind gtk-doc introspection libedit modemmanager nss (policykit) ppp tools wext wifi -audit -connection-sharing -debug -dhclient -dhcpcd -gnutls -iptables -iwd -nftables -ofono -ovs -psl -resolvconf (-selinux) -syslog -systemd -teamd -test -vala" ABI_X86="(64) -32 (-x32)"
Comment 1 Toralf Förster gentoo-dev 2024-03-03 08:47:06 UTC
Created attachment 886587 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2024-03-03 08:47:07 UTC
Created attachment 886588 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2024-03-03 08:47:08 UTC
Created attachment 886589 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2024-03-03 08:47:09 UTC
Created attachment 886590 [details]
etc.clang.tar.xz
Comment 5 Toralf Förster gentoo-dev 2024-03-03 08:47:10 UTC
Created attachment 886591 [details]
etc.portage.tar.xz
Comment 6 Toralf Förster gentoo-dev 2024-03-03 08:47:11 UTC
Created attachment 886592 [details]
net-misc:networkmanager-1.46.0:20240302-224601.log.xz
Comment 7 Toralf Förster gentoo-dev 2024-03-03 08:47:12 UTC
Created attachment 886593 [details]
qlist-info.txt
Comment 8 Toralf Förster gentoo-dev 2024-03-03 08:47:14 UTC
Created attachment 886594 [details]
temp.tar.xz
Comment 9 NHO 2024-05-16 18:08:22 UTC
First: USE=libedit doesn't add dependency on libedit, and with libedit installed, networkmanager-1.46.0-r1 fails to build due to 912192, I think? It doesn't find libedit in configure stage.

Second: Can't replicate with 1.46.0-r1 without USE=libedit
Comment 10 Larry the Git Cow gentoo-dev 2024-07-17 12:12:01 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=776200905fbd0922794f5be57cf9cad017a5c6e3

commit 776200905fbd0922794f5be57cf9cad017a5c6e3
Author:     Guillermo Joandet <gjoandet@gmail.com>
AuthorDate: 2024-05-31 23:43:05 +0000
Commit:     Pacho Ramos <pacho@gentoo.org>
CommitDate: 2024-07-17 12:11:32 +0000

    net-misc/networkmanager: Bump to 1.48.4
    
    Closes: https://bugs.gentoo.org/926085
    Signed-off-by: Guillermo Joandet <gjoandet@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/32654
    Signed-off-by: Pacho Ramos <pacho@gentoo.org>

 net-misc/networkmanager/Manifest                   |   1 +
 .../networkmanager/networkmanager-1.48.4.ebuild    | 394 +++++++++++++++++++++
 2 files changed, 395 insertions(+)